 
package ctxhelp;

use lib qw(/usr/lib/libDrakX);
use common;
use lang;

# 'id' => ['Globalhtmlfile', 'relativelink']
my %helppage = (
		'diskdrake' => ['drakdisk.html', undef],
		'diskdrake-dav' => ['diskdrake--dav.html', undef],
		'diskdrake-fileshare' => ['diskdrake--fileshare.html', undef],
		'diskdrake-nfs' => ['diskdrake--nfs.html', undef],
		'diskdrake-removable' => ['diskdrake--removable.html', undef],
		'diskdrake-smb' => ['diskdrake--smb.html', undef],
		'drak3d' => ['drak3d.html', undef],
		'drakauth' => ['drakauth.html', undef],
		'drakboot' => ['drakboot.html', undef],
		'drakboot-boot' => ['drakboot--boot.html', undef],
		'drakbug' => ['drakbug.html', undef],
		'drakbug_report' => ['drakbug_report.html', undef],
		'drakconf-intro' => ['mcc-intro.html', undef],
		'drakclock' => ['drakclock.html', undef],
		'drakconnect' => ['drakconnect.html', undef],
		'drakconnect-del' => ['drakconnect--del.html', undef],
		'drakconsole' => ['drakconsole.html', undef],
		'drakdisk' => ['drakdisk.html', undef],
		'drakedm' => ['drakedm.html', undef],
		'drakfirewall' => ['drakfirewall.html', undef],
		'drakfont' => ['drakfont.html', undef],
		'drakguard' => ['drakguard.html', undef],
		'drakgw' => ['drakgw.html', undef],
		'drakhosts' => ['drakhosts.html', undef],
		'drakinvictus' => ['drakinvictus.html', undef],
		'draknetcenter' => ['draknetcenter.html', undef],
		'draknetprofile' => ['draknetprofile.html', undef],
		'draknfs' => ['draknfs.html', undef],
		'drakproxy' => ['drakproxy.html', undef],
		'draksambashare' => ['draksambashare.html', undef],
		'draksec' => ['draksec.html', undef],
		'draksnapshot-config' => ['draksnapshot-config.html', undef],
		'draksound' => ['draksound.html', undef],
		'drakups' => ['drakups.html', undef],
		'drakvpn' => ['drakvpn.html', undef],
		'drakwizard-apache2' => ['drakwizard-apache2.html', undef],
		'drakwizard-bind' => ['drakwizard-bind.html', undef],
		'drakwizard-dhcp' => ['drakwizard-dhcp.html', undef],
		'drakwizard-ntp' => ['drakwizard-ntp.html', undef],
		'drakwizard-proftpd' => ['drakwizard-proftpd.html', undef],
		'drakwizard-squid' => ['drakwizard-squid.html', undef],
		'drakwizard-sshd' => ['drakwizard-sshd.html', undef],
		'drakxservices' => ['drakxservices.html', undef],
		'harddrake' => ['harddrake2.html', undef],
		'internet-connection' => ['drakconnect.html', undef],
		'keyboarddrake' => ['keyboarddrake.html', undef],
		'localedrake' => ['localedrake.html', undef],
		'logdrake' => ['logdrake.html', undef],
		'lsnetdrake' => ['lsnetdrake.html', undef],
		'lspcidrake' => ['lspcidrake.html', undef],
		'mageiaupdate' => ['MageiaUpdate.html', undef],
		'mcc-boot' => ['mcc-boot.html', undef],
		'mcc-hardware' => ['mcc-hardware.html', undef],
		'mcc-localdisks' => ['mcc-localdisks.html', undef],
		'mcc-network' => ['mcc-network.html', undef],
		'mcc-networkservices' => ['mcc-networkservices.html', undef],
		'mcc-networksharing' => ['mcc-networksharing.html', undef],
		'mcc-security' => ['mcc-security.html', undef],
		'mcc-sharing' => ['mcc-sharing.html', undef],
		'mcc-system' => ['mcc-system.html', undef],
		'mgaapplet-config' => ['mgaapplet-config.html', undef],
		'mousedrake' => ['mousedrake.html', undef],
		'msecgui' => ['msecgui.html', undef],
		'rpmdrake' => ['rpmdrake.html', undef],
		'scannerdrake' => ['scannerdrake.html', undef],
		'software-management' => ['software-management.html', undef],
		'software-management-install' => ['rpmdrake.html', undef],
		'software-management-remove' => ['rpmdrake.html', undef],
		'software-management-sources' => ['drakrpm-edit-media.html', undef],
		'software-management-update' => ['MageiaUpdate.html', undef],
		'system-config-printer' => ['system-config-printer.html', undef],
		'transfugdrake' => ['transfugdrake.html', undef],
		'userdrake' => ['userdrake.html', undef],
		'xfdrake' => ['XFdrake.html', undef]
	       );

sub id2file { exists $helppage{$_[0]} && $helppage{$_[0]}[0] }

sub id2anchorage { exists $helppage{$_[0]} && defined $helppage{$_[0]}[1] ? $helppage{$_[0]}[0] . '#' . $helppage{$_[0]}[1] : $helppage{$_[0]}[0] }

sub path2help {
    my ($opt, $id, $o_lang) = @_;
    my ($l, $path);
    if ($o_lang) {
	$l = $o_lang;
    } else {
	my $locale = lang::read($>);
	$l = lc($locale->{lang});
	$l =~ s/(.*)/\L$1/gi; # WHAT'S THIS FOR??? lc is already done on previous line
    }
    # For Debug Purpose
    # printf("\n** LANG = %s **\n", $l);
    $path = '/usr/share/doc/mageia/';
    $l = 'en' unless member($l, qw(de en el es et fr id it nl pt_br zh_cn ro ru sv tr uk));
    my %option = (
 	'--id' => sub { return ($path . $l . '/mcc/' . id2file($id), 
 				$path . $l . '/mcc/' . id2anchorage($id), 
				#'mageia-doc-' . if_(member($l, 'ru', 'zh_cn'), 'contrib-') . 'mcc-' . $l) },
				'mageia-doc-mcc-' . $l) },
	'--doc' => sub { return ($path . $l . '/' . $id, 
				 $path . $l . '/' . $id,
				 'mageia-doc-' . $l) },
		 );
    my ($instpath, $ancpath, $package) = $option{$opt}->();

    if (!do_pkgs_standalone->new->ensure_is_installed($package, $instpath)) {
	$l = 'en';
    }
    $option{$opt}->();
}

1;

